body.builderUI {
	padding-top: 0px;
	background: RGBA(236, 240, 241, 1.00);
}

body #builder > .container {
	width: 85%;
	margin-top: 0px;
	position: relative;
	padding: 60px 0px 0px 0px;
    float: right;
}

body .modal-dialog {
	margin: 120px auto 30px;
}

.toggle:hover, .toggle:focus {
	color: #fff;
}

#hidden {
	display: none !important;
}

.actionButtons {
	border-radius: 0px;
}

.margin-bottom-5 {
	margin-bottom: 5px;
}

textarea:hover,
input:hover,
textarea:active,
input:active,
textarea:focus,
input:focus,
button:focus,
button:active,
button:hover
{
    outline:0px !important;
    -webkit-appearance:none;
}

body .drop-hover {
	border: 3px dashed #95A5A6;
	height: 150px;
	background: #ECF0F1;
}

#loader {
	display: -webkit-box;
  	display: -webkit-flex;
  	display: -ms-flexbox;
  	display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  	background-color: #4684ee;
	position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	background: #2c3e50;
	z-index: 10000;
}

#loader span {
  	color: #ecf0f1;
  	font-family: Consolas, Menlo, Monaco, monospace;
  	font-weight: bold;
  	font-size: 30vh;
  	opacity: 0.8;
}

#loader span {
  	display: inline-block;
    -webkit-animation: pulse 0.4s alternate infinite ease-in-out;
          animation: pulse 0.4s alternate infinite ease-in-out;
}

#loader span:nth-child(odd) {
     -webkit-animation-delay: 0.4s;
          animation-delay: 0.4s;
}
@-webkit-keyframes pulse {
  to {
    -webkit-transform: scale(0.8);
            transform: scale(0.8);
    opacity: 0.5;
  }
}
@keyframes pulse {
  to {
    -webkit-transform: scale(0.8);
            transform: scale(0.8);
    opacity: 0.5;
  }
}

body .btn-warning {
	background-color: #F39C12;
}

body .btn-warning:hover {
	background-color: #F4A62A;
}

body .fileinput .fileinput-preview {
	cursor: default !important;
}

body .btn-file > input[type="file"] {
	position: absolute !important;
}

/* header */

header {
	margin-bottom: 20px;
	width: 100%;
	background: RGBA(53, 73, 93, 1.00);
	box-shadow: 0px 3px 0px rgba(0, 0, 0, 0.05);
}

header .responsiveToggle {
	margin-left: 60px;
}

header .responsiveToggle a {
	width: 58px;
	text-align: center;
	padding: 11px 18px 11px;
	font-size: 20px;
	height: 41px;
}

header.affix {
	right: 0;
	top:0px;
    width: 90%;
    z-index: 1040;
    padding-right: 0px;
    padding-left: 0px;
}

header .modes {
	margin: 8px 0px 0px 60px;
	width: 460px;
	text-align: center;
}

header .modes #modeContent {
	display: none;
}

header .modes > b {
	display: block;
	float: left;
	text-transform: uppercase;
	font-size: 13px;
	position: relative;
	top: 3px;
}

header .modes > label.radio.primary {
	display: inline-block;
	margin-top: 0px !important;
}

header .modes > label {
	margin-right: 20px;
}

header .modes > label:last-child {
}

header .slick, header .slick > button {
	display: flex;
	padding-right: 3px;
}

header .slick > button > i {
	float: left;
}

header .slick .slide {
	width: 0px;
	display: inline-block;
	overflow: hidden;
	float: left;
	text-align: left;
	padding-left: 10px;
	transition: width 0.25s linear 0s;
	-webkit-transition: width 0.25s linear 0s;
	-moz-transition: width 0.25s linear 0s;
}

header .slick:hover .slide {
	width: 125px;
	transition-delay: 0.25s;
}

.navbar a > .fui-home {
	position: relative;
	font-size: 14px;
	top: -1px;
}

.dropdown-menu.revisions-dropdown {
	width: 260px;
	max-height: 400px;
	overflow-y: auto;
}

.dropdown-menu.revisions-dropdown li {
	color: #fff;
	padding: 5px 11px 7px;
}

.dropdown-menu.revisions-dropdown li a {
	display: inline;
	padding: 0px;
	margin: 0px;
}

.dropdown-menu.revisions-dropdown li > a::before, .dropdown-menu.revisions-dropdown li > a::after {
	content: none;
}

/* end header */



/* style editor */

.styleEditor {
	position: fixed;
	left: -300px;
	top: 0px;
	height: 100%;
	width: 300px;
	background: #f9f9f9;
	z-index: 1000;
	box-shadow: 6px 0px 1px rgba(0,0,0,0.1);
	padding: 20px 20px 20px;
	overflow-y: auto;
	overflow-x: visible;
	z-index: 2000;
}

.styleEditor .tab-content {
	padding: 0px;
	border: 0px;
	border-radius: 0px;
	margin-bottom: 20px;
	border-bottom: 2px dashed #ccc;
}

.styleEditor .nav-tabs li span {
	font-size: 12px;
	color: #34495E;
}

.styleEditor form {
	width: 100%;
	overflow: visible;
	position: relative;
	margin-bottom: 20px;
}

.styleEditor > a.close {
	position: absolute;
	top: 20px;
	right: 15px;
	font-size: 20px;
}

.styleEditor h3 {
	font-size: 17px;
	font-weight: normal;
	margin-top: 0px;
	margin-bottom: 30px;
}

.styleEditor .control-label {
	line-height: 20px;
	padding-top: 6px;
	font-size: 13px;
	float: left;
	width: 55%;
}

.styleEditor .form-group {
	position: relative;
	margin-bottom: 10px;
	min-height: 40px;
}

.styleEditor .form-group > input {
	float: right;
	width: 42%;
	text-overflow: ellipsis;
}

.styleEditor .form-group > .btn-block.select {
	float: right;
	min-width: 30px;
}

.styleEditor .form-group > .btn-block.select > .btn {
	width: 100%;
}

.styleEditor .form-group > .btn-block.select .dropdown-menu {
	right: 0px;
	left: auto;
}

.styleEditor .form-group > .sp-replacer {
	float: right;
	width: 42%;
	border: 2px solid #bdc3c7;
	height: 35px;
	background: #fff;
	padding: 6px;
}

.styleEditor .form-group .sp-preview {
	width: 75%;
	border: 0px;
}

body .sp-container {
	border: 2px solid #bdc3c7;
}

body .sp-container .sp-palette-container {
	border-right: 2px solid #bdc3c7;
}

body .sp-container .sp-picker-container {
	border-left: 0px;
}

body .sp-container button, body .sp-container button:hover {
	background-image: none;
	background-color: #1ABC9C;
	color: #fff;
	border-radius: 0px;
	border: 0px;
	font-family: "Lato",​Helvetica,​Arial,​;
	font-weight: normal;
	padding: 0px 12px;
	text-shadow: none;
	line-height: 31px;
	text-transform: uppercase;
}

body .sp-input {
	border-radius: 0px;
	background: #fff;
	border: 1px solid #ccc;
}

.styleEditor .form-group > input.active {
	position: absolute;
	right: 0px;
	width: 100%;
}

.styleEditor div#styleElements {
	margin-bottom: 0px;
}

.styleEditor ul.breadcrumb {
	background: #E1E0E0;
	border-radius: 0px;
	font-size: 14px;
	text-transform: uppercase;
}

.styleEditor .breadcrumb > li:after {
	color: #24bfa0;
}

.styleEditor .breadcrumb .active {
    color: #24bfa0;
    font-weight: bold;
}

.styleEditor .nav-tabs > li > a {
	padding: 7px 15px 8px;
}

.styleEditor .sideButtons {
	margin: 0px 0px 10px;
	width: 100%;
}

.styleEditor .sideButtons > * {
	float: left;
	width: 33.33%;
}

.styleEditor p.or {
	color: #7F8C8D;
	font-weight: bold;
	font-size: 15px;
	border-bottom: 2px solid #BDC3C7;
	line-height: 0px;
	margin-bottom: 25px;
}

.styleEditor p.or span {
	background: #F9F9F9;
	padding: 0px 10px;
}

.styleEditor .link_Tab .btn-group {
	margin-bottom: 25px;
}

.styleEditor .link_Tab .btn-group, .styleEditor .link_Tab .btn-group button {
	width: 100%;
}

.styleEditor .link_Tab .btn-group .dropdown-menu {
	right: 0px;
	left: auto;
}

.styleEditor .link_Tab input {
	margin-bottom: 20px;
}

.styleEditor .form-group.fullWidth > input {
    float: none;
    width: 100%;
}

.styleEditor ul.nav-tabs li.active a {
	background-color: #f9f9f9;
	border-color: #e1e4e7 #e1e4e7 #f9f9f9;
}

.styleEditor .fileinput .thumbnail {
	border-radius: 0px;
}

.styleEditor .imageFileTab > input {
	margin-bottom: 20px;
}

.styleEditor .imageFileTab > .form-group {
	margin-bottom: 20px;
}

.styleEditor #icons_chosen {
	width: 100% !important;
	margin-bottom: 30px;
}

/* end style editor */



/* side */

.menu {
	position: fixed;
	top: 0px;
	left: 0px;
	height: 100%;
	z-index: 1041;
}

.menu .toggle {
	background: none repeat scroll 0 0 #34495e;
	box-shadow: 5px 0 0 rgba(0, 0, 0, 0.1);
	color: #eee;
	height: 41px;
	line-height: 41px;
	position: absolute;
	right: -41px;
	text-align: center;
	top: 0px;
	font-size: 22px;
	width: 41px;
	font-size: 19px;
}

.menu .toggle > img {
	width: 20px;
	position: relative;
	top: -2px;
}

.menu .main {
	background: none repeat scroll 0 0 #34495e;
    height: 100% !important;
    overflow-y: auto;
    padding-top: 20px;
    width: 100%;
    height: 100%;
    float: left;
    box-shadow: -10px 0 2px rgba(0, 0, 0, 0.08) inset;
}

.menu .main h3 {
	font-size: 17px;
	color: #fff;
	text-transform: uppercase;
	font-weight: normal;
	margin: 0px 0px 10px 20px;
	letter-spacing: 1px;
}

.menu .main h3 > span {
	font-size: 15px;
}

.menu .main > ul {
	margin: 0px 0px 0px 0px;
	padding: 0px;
}

.menu .main > ul > li {
	list-style: none;
	list-style-type: none;
}

.menu .main > ul > li > a {
	color: #ecf0f1;
	display: block;
	line-height: 35px;
	-webkit-transition: color 0.5s; /* For Safari 3.1 to 6.0 */
	-moz-transition: color 0.5s;
	transition: color 0.5s;
	font-size: 16px;
	padding-left: 20px;
	font-weight: 300;
}

.menu .main > ul#elementCats > li > a:hover, .menu .main > ul#templatesUl > li > a:hover, .menu .main > ul#elementCats > li > a.active, .menu .main > ul#templatesUl > li > a.active {
	color: #fff;
	background: #1f2e3c;
}

.main > .sideButtons {
	margin-left: 20px;
	width: 170px;
	margin-bottom: 30px;
}

.main > .sideButtons > * {
	margin: 0px;
	/*float: left;
	width: 50%;*/
	width: 100%;
}

.main > hr {
	border-top: 1px dashed #ECF0F1 !important;
}

.menu .second {
	background: #1f2e3c;
	width: 0px;
	height: 100%;
	position: absolute;
	display: none;
	box-shadow: inset 5px 0px 5px rgba(0,0,0,0.3);
	z-index: 1000;
	overflow-y: auto !important;
}

.menu .second ul {
	margin: 0px;
	padding: 0px;
}

.menu .second ul li, li.element {
	list-style: none;
	list-style-type: none;
	padding: 15px 15px 0px;
}

.menu .second ul li, li.element > img {
	width: 100%;
	max-width: 100%;
	cursor: move;
}

li.element {
	padding: 0px;
}

.menu .second ul li iframe {
	border: 0px;
	width: 270px;
	background: #fff;

}

.menu .second ul li iframe html {
	-ms-zoom: 0.25;
	        -moz-transform: scale(0.25);
	        -moz-transform-origin: 0 0;
	        -o-transform: scale(0.25);
	        -o-transform-origin: 0 0;
	        -webkit-transform: scale(0.25);
	        -webkit-transform-origin: 0 0;
}

.menu .second ul li .zoomer-wrapper a {
	cursor: move;
}

.menu #templates li .zoomer-cover a.btn-danger {
	position: absolute;
	top: 10px;
	right: 10px;
	cursor: pointer;
}

.menu .main ul#pages {
	margin-bottom: 15px;
}

.menu .main ul#pages li {
	display: block;
	height: 35px;
	cursor: pointer;
}

.menu .main ul#pages li.active {
	background: #1f2e3c;
}

.menu .main ul#pages li input {
	float: left;
	font-size: 16px;
	height: 35px;
	margin: 0;
	padding: 0;
	width: 54%;
	margin-left: 30px;
	border: 0px;
	color: #ecf0f1;
	background: none;
}

.menu .main ul#pages li > a {
	float: left;
}

.menu .main ul#pages li > span {
	float: right;
	font-weight: normal;
	font-size: 12px;
	margin-right: 20px;
	margin-top: 8px;
	display: none;
}

.menu .main ul#pages li.active > span {
	display: block;
}

.menu .main ul#pages li > span a {
	color: #CBD0D3;
	float: right;
	margin-left: 5px;
	transform: color 0.7s;
}

.menu .main ul#pages li > span a.btn {
	color: #fff;
	position: relative;
	top: -3px;
	display: none;
}

.menu .main ul#pages li.active.edit > span a.btn {
	display: inline;
}

.menu .main ul#pages li.active.edit > span .fileDel, .menu .main ul#pages li.active.edit > span .fileEdit {
	display: none;
}

.menu .main ul#pages li > span a:hover.fileDel {
	color: #E74C3C;
}

.menu .main ul#pages li > span a:hover.fileEdit {
	color: #2ECC71;
}

/* end side */


#frame {
	display: block;
	border: 0px;
}

.screen {
	margin: 0px auto 30px;
	width: 97%;
}

.screen.mobile, .screen.tablet {
	border-left: 2px solid #E1E0E0;
	border-right: 2px solid #E1E0E0;
	border-bottom: 2px solid #E1E0E0;
}

.screen .zoomer-wrapper {
	background: #fff;
}

.screen .start {
	position: absolute;
	width: 100%;
	left: 0px;
	top: 0px;
	z-index: 99;
}

.screen .start > span {
	display: block;
	background: #34495E;
	padding: 10px 20px;
	width: 450px;
	color: #fff;
	font-size: 13px;
	text-transform: uppercase;
	text-align: center;
	margin: 170px auto 0px;
}

.screen.mobile .start > span {
	width: 300px;
}

.screen .toolbar {
	background: #E1E0E0;
	height: 35px;
	padding: 0px 0px 0px 11px;
}

.screen .toolbar .buttons {
	float: left;
	height: 13px;
	margin-top: 11px;
}

.screen .toolbar .title {
	font-size: 14px;
	color: #000;
	text-align: center;
	margin-right: 80px;
	padding-top: 5px;
}

.screen .toolbar .left {
	display: block;
	width: 13px;
	height: 13px;
	float: left;
	border-radius: 13px;
	margin-right: 6px;
}

.screen .toolbar .left.red {
	background: #E74C3C;
}

.screen .toolbar .left.yellow {
	background: #F4A62A;
}

.screen .toolbar .left.green {
	background: #16A085;
}

.screen .frameWrapper {
	background: #fff;
	padding-top: 0px;
	position: relative;
}

.screen .frameWrapper.empty {
	min-height: 400px;
}

.screen .frameWrapper #pageList ul {
	list-style: none;
	list-style-type: none;
	margin: 0px;
	padding: 0px;
	display: none;
	height: 100%;
	min-height: 300px;
}

.screen .frameWrapper #pageList ul.active {
	display: block;
}

.screen .frameWrapper #pageList ul li {
	display: block;
	overflow: hidden;
	position: relative;
}

.screen .frameWrapper #pageList ul li .editorButtons {
	position: absolute;
	top: 0px;
	right: 0px;
	z-index: 100;
}

.screen .frameWrapper #pageList ul iframe {
	border: 0px;
	width: 100%;
}

.screen .frameWrapper #pageList ul li .zoomer-cover {
	cursor: move;
	overflow: hidden !important;
}

.screen .frameWrapper #pageList ul li .zoomer-small, .screen .frameWrapper #pageList ul li .zoomer-small iframe {
	overflow: hidden !important;
	overflow-y: hidden !important;
}

.screen .frameCover {
	visibility: visible;
	opacity: 1;
	transition: right 0.5s linear 0s;
	-webkit-transition: right 0.5s linear 0.5s;
	-moz-transition: right 0.5s linear 0.5s,o;
	background-color: #ecf0f1;
	padding-left: 10px;
	position: absolute;
	top: 10px;
	right: -255px;
	width: auto;
	height: 36px;
	-webkit-border-top-left-radius: 50px;
    -webkit-border-bottom-left-radius: 50px;
    -moz-border-radius-topleft: 50px;
    -moz-border-radius-bottomleft: 50px;
    border-top-left-radius: 50px;
    border-bottom-left-radius: 50px;
}

.screen li .frameCover:hover {
	right: 0px;
	transition-delay:0s;
}

.screen.mobile li:hover .frameCover {
	visibility: hidden;
	opacity: 0;
}


.screen .frameCover.move {
	width: 100%;
	height: 100%;
	background-color: transparent;
	visibility: visible;
	opacity: 1;
}

.screen .frameCover.move button, .screen .frameCover.move label {
	display: none;
}

.screen .frameCover.move:hover button {
	display: block;
}

.screen .frameCover button, .screen .frameWrapper #pageList ul li .editorButtons button, .screen .frameCover label, .screen .frameCover > span {
	float: right;
}

.screen .frameCover > span {
	font-size: 22px;
	margin-right: 10px;
}

.screen .frameCover label {
	padding-right: 20px;
	margin-bottom: 0px;
	margin-top: 8px;
}

.screen .frameCover button, .screen .frameWrapper #pageList ul li .editorButtons button {
	padding-right: 3px;
}

.screen .frameCover button > span, .screen .frameWrapper #pageList ul li .editorButtons button span {
	width: 0px;
    display: inline-block;
    overflow: hidden;
    float: right;
    text-align: left;
    padding-left: 10px;
    box-sizing: border-box;
    transition: width 0.25s linear 0s;
	-webkit-transition: width 0.25s linear 0s;
	-moz-transition: width 0.25s linear 0s;
}

.screen .frameCover button:hover > span, .screen .frameWrapper #pageList ul li .editorButtons button:hover span {
	width: 70px;
	transition-delay: 0.25s;
}

.screen .frameCover button > i, .screen .frameWrapper #pageList ul li .editorButtons button i {
	float: left;
	top: 3px;
	position: relative;
	left: 2px;
}

.screen .aceEditor {
	position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.builderActive {
    border: 3px dashed red;
    cursor: pointer;
}

#canvasOverlay {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	background: RGBA(45, 62, 79, 0.5);
	display: -webkit-box;
  	display: -webkit-flex;
  	display: -ms-flexbox;
  	display: none;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
}

#canvasOverlay .loader {
	color: #fff;
  	font-family: Consolas, Menlo, Monaco, monospace;
  	font-weight: bold;
  	font-size: 20vh;
  	opacity: 0.8;
}

#canvasOverlay .loader span {
  display: inline-block;
  -webkit-animation: pulse 0.4s alternate infinite ease-in-out;
          animation: pulse 0.4s alternate infinite ease-in-out;
}

#canvasOverlay .loader span:nth-child(odd) {
  -webkit-animation-delay: 0.4s;
          animation-delay: 0.4s;
}
@-webkit-keyframes pulse {
  to {
    -webkit-transform: scale(0.8);
            transform: scale(0.8);
    opacity: 0.5;
  }
}
@keyframes pulse {
  to {
    -webkit-transform: scale(0.8);
            transform: scale(0.8);
    opacity: 0.5;
  }
}


/* modals */

.modal-content {
	border-radius: 0px;
	border: 0px;
}

.modal.small-modal > .modal-dialog, .modal.small-modal .modal-content {
	width: 400px;
}

.modal.small-modal > .modal-dialog {
	margin-top: 140px;
}


/* some flat ui resets */

.btn {
	border-radius: 0px;
}

.form-control {
	border-radius: 0px;
}

.alert {
	border-radius: 0px;
}

#successModal .alert, #errorModal .alert {
	margin-bottom: 0px;
}

/* end modals */



/* image upload tab */

.tab-pane#uploadTab .fileinput-preview.thumbnail {
	width: 100%;
	height: 350px;
}

.tab-pane#uploadTab hr {
	border: 0px;
	border-top: 2px dashed #ccc;
}

.tab-pane#uploadTab button.upload {
	margin-bottom: 15px;
}

div#menu {
    left: 0!important;
}
div#medium-editor-toolbar {
    display: none !important;
}

#menu{
    width: 200px;
}

div#second {
    left: 200px;
}
@media (max-width: 768px) {
    ul#responsiveToggle {
        display: none;
    }
}
